### Method

# Ide Object get_parent

#### Declaration

    IdeObject*
    ide_object_get_parent (
      IdeObject* self
    )

#### Description

Gets the parent `IdeObject`, if any.

This function may only be called from the main thread.

Available since: | 3.32

Gets property | `Ide.Object:parent`

#### Return value

Returns: | `IdeObject`
| An `IdeObject` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.